# Texture1D Class Reference

`#include <Texture1D.h>`

List of all members.

## Public Member Functions
| Texture1D (void)
virtual | ~Texture1D (void)
bool | isInitialized () const
unsigned int | getSize () const
int | getInternalFormat () const
void | use () const
bool | createTextureFromBuffer (unsigned int size, GLint internalFormat, GLenum dataFormat, GLenum dataType, const void *buffer)
## Private Member Functions
void | cleanUp ()
unsigned int | getNextPowerOfTwo (unsigned int number) const
## Private Attributes
GLuint | m_texID
GLint | m_internalFormat
unsigned int | m_size
bool | m_initialized
| Size of the 1D-Texture (amount of texels).

## Constructor & Destructor Documentation

Texture1D::Texture1D | ( | void |  | ) |

Texture1D::~Texture1D | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void Texture1D::cleanUp | ( |  | ) | `[private]`

cleans up all GL initializations and possible memory allocations

bool Texture1D::createTextureFromBuffer | ( | unsigned int | size,
|  | GLint | internalFormat,
|  | GLenum | dataFormat,
|  | GLenum | dataType,
|  | const void * | buffer |
| ) |  |  |

int Texture1D::getInternalFormat | ( |  | ) | const

Returns:
  an integer indicating the internal format of the 1D texture specified in the glTexImage1D() call

unsigned int Texture1D::getNextPowerOfTwo | ( | unsigned int | number | ) | const`[private]`

Parameters:

  | number | A number greater or equal to 0

Returns:
  If number is 0, 1 is returned, if number is a power of two, number is returned, otherwise the next power of two.

unsigned int Texture1D::getSize | ( |  | ) | const

Returns:
  Size of the texture, i.e. the amount of texels

bool Texture1D::isInitialized | ( |  | ) | const

Returns:
  true, if the texture is initialized with some data

void Texture1D::use | ( |  | ) | const

Binds the texture to prepare for following usage

## Member Data Documentation

bool Texture1D::m_initialized`[private]`

Size of the 1D-Texture (amount of texels).

GLint Texture1D::m_internalFormat`[private]`

unsigned int Texture1D::m_size`[private]`

GLuint Texture1D::m_texID`[private]`

The documentation for this class was generated from the following files:

- F:/Meine Dateien/Visual Studio 2005/Projects/InsightFlow/header/Texture1D.h
- F:/Meine Dateien/Visual Studio 2005/Projects/InsightFlow/src/Texture1D.cpp